Loading...
Searching...
No Matches
mongocxx::v1::rewrap_many_datakey_result Class Reference

`#include <mongocxx/v1/rewrap_many_datakey_result.hpp>`

## Description

The result of a "rewrapManyDataKey" operation.

Supported fields include:

- result ("bulkWriteResult")

See also
  - Rotate and Rewrap Encryption Keys (MongoDB Manual)

## Public Member Functions

| rewrap_many_datakey_result (rewrap_many_datakey_result &&other) noexcept
| Move constructor.
| rewrap_many_datakey_result (rewrap_many_datakey_result const &other)
| Copy construction.
| ~rewrap_many_datakey_result ()
| Destroy this object.
rewrap_many_datakey_result & | operator= (rewrap_many_datakey_result &&other) noexcept
| Move assignment.
rewrap_many_datakey_result & | operator= (rewrap_many_datakey_result const &other)
| Copy assignment.
bsoncxx::v1::stdx::optional< v1::bulk_write::result > | result () const
| Return the current "bulkWriteResult" field.

## Constructor & Destructor Documentation

## ~rewrap_many_datakey_result()

mongocxx::v1::rewrap_many_datakey_result::~rewrap_many_datakey_result | ( |  | ) |

Destroy this object.

Warning
  Invalidates all associated views.

## rewrap_many_datakey_result() [1/2]

mongocxx::v1::rewrap_many_datakey_result::rewrap_many_datakey_result | ( | rewrap_many_datakey_result && | other | ) |

noexcept

Move constructor.

Postconditions:
  - other is in an assign-or-destroy-only state.

## rewrap_many_datakey_result() [2/2]

mongocxx::v1::rewrap_many_datakey_result::rewrap_many_datakey_result | ( | rewrap_many_datakey_result const & | other | ) |

Copy construction.

## Member Function Documentation

## operator=() [1/2]

rewrap_many_datakey_result & mongocxx::v1::rewrap_many_datakey_result::operator= | ( | rewrap_many_datakey_result && | other | ) |

noexcept

Move assignment.

Postconditions:
  - other is in an assign-or-destroy-only state.

## operator=() [2/2]

rewrap_many_datakey_result & mongocxx::v1::rewrap_many_datakey_result::operator= | ( | rewrap_many_datakey_result const & | other | ) |

Copy assignment.

## result()

bsoncxx::v1::stdx::optional< v1::bulk_write::result > mongocxx::v1::rewrap_many_datakey_result::result | ( |  | ) | const

Return the current "bulkWriteResult" field.

Returns
  Empty when the write operation is unacknowledged.

The documentation for this class was generated from the following file:

- mongocxx/v1/rewrap_many_datakey_result.hpp